## koha-24.11.11.tar.gz

=== C4/SIP/Makefile ===
#
# There's not a lot to "make", but this simplifies the usual
# sorts of tasks
#

PODFLAGS = --htmlroot=. --podroot=.

.SUFFIXES: .pod .html

.pod.html:
	pod2html $(PODFLAGS) --outfile=$@ --infile=$<

all:
	@echo Nothing to make.  Use make test.

# just run the server from the command line
# run:
# 	perl SIPServer.pm SIPconfig.xml

test:
	cd t; $(MAKE) test

tags:
	find . -name '*.pm' -print | etags -

html: ILS.html ILS/Item.html ILS/Patron.html

=== debian/changelog ===
koha (22.12.00-3~git+20230203050317.1b6e9c7b-1) unstable; urgency=medium

  * New upstream release (22.12.00-3)

 -- Mason James <mtj@kohaaloha.com>  Fri, 03 Feb 2023 05:09:37 +1300

koha (16.05.02) squeeze; urgency=medium

  * New upstream release (16.05.02)

 -- Mirko Tietgen <mirko@abunchofthings.net>  Tue, 02 Aug 2016 15:04:49 +0200

koha (16.05.01) squeeze; urgency=medium

  * New upstream release (16.05.01)

 -- Mirko Tietgen <mirko@abunchofthings.net>  Sun, 26 Jun 2016 19:15:17 +0200

koha (3.22.00~beta1) squeeze-dev; urgency=medium

  * New beta release (3.22.00-beta)

 -- Robin Sheat <robin@catalyst.net.nz>  Wed, 18 Nov 2015 14:43:06 +1300

koha (3.20.00~beta) squeeze-dev; urgency=medium

  * New beta release (3.20.00-beta)

 -- Robin Sheat <robin@catalyst.net.nz>  Thu, 14 May 2015 17:26:37 +1200

koha (3.18.06.3) squeeze; urgency=medium

  * Fix for issues with some translations

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 01 May 2015 13:58:24 +1200

koha (3.18.06.2) squeeze; urgency=medium

  * Fix for bug Bug 14068

 -- Robin Sheat <robin@catalyst.net.nz>  Tue, 28 Apr 2015 15:57:44 +1200

koha (3.18.06.1) squeeze; urgency=medium

  * Fix for bug 14055

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 24 Apr 2015 15:57:14 +1200

koha (3.18.06) squeeze; urgency=medium

  * New upstream release (3.18.06)

 -- Robin Sheat <robin@catalyst.net.nz>  Thu, 23 Apr 2015 16:16:52 +1200

koha (3.18.05) squeeze; urgency=medium

  * New upstream release (3.18.05)

 -- Robin Sheat <robin@catalyst.net.nz>  Mon, 23 Mar 2015 10:31:40 +1300

koha (3.18.04) squeeze; urgency=medium

  * New upstream release (3.18.04)

 -- Robin Sheat <robin@catalyst.net.nz>  Tue, 24 Feb 2015 14:53:21 +1300

koha (3.18.03) squeeze; urgency=medium

  * New upstream release (3.18.03)

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 23 Jan 2015 12:59:53 +1300

koha (3.18.02) squeeze; urgency=medium

  * New upstream release (3.18.02)

 -- Robin Sheat <robin@catalyst.net.nz>  Mon, 29 Dec 2014 17:53:02 +1300

koha (3.18.01) squeeze; urgency=high

  * New upstream release (3.18.01)
  * This is a security update.

 -- Robin Sheat <robin@catalyst.net.nz>  Wed, 10 Dec 2014 17:32:31 +1300

koha (3.18.00) squeeze; urgency=medium

  * New major upstream release (3.18.00)
  * Release notes are at http://koha-community.org/koha-3-18-0-released/

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 28 Nov 2014 11:41:21 +1300

koha (3.16.04) squeeze; urgency=medium

  * New upstream release (3.16.04)

 -- Robin Sheat <robin@catalyst.net.nz>  Thu, 02 Oct 2014 12:08:56 +1300

koha (3.16.03) squeeze; urgency=medium

  * New upstream release (3.16.03)

 -- Robin Sheat <robin@catalyst.net.nz>  Thu, 28 Aug 2014 12:09:04 +1200

koha (3.16.02) squeeze; urgency=medium

  * New upstream release (3.16.02)

 -- Robin Sheat <robin@catalyst.net.nz>  Thu, 24 Jul 2014 11:52:50 +1200

koha (3.16.01) squeeze; urgency=medium

  * New upstream release (3.16.01)

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 27 Jun 2014 14:57:10 +1200

koha (3.16.00) squeeze; urgency=medium

  * New major upstream release (3.16.00)
  * Release notes are at http://koha-community.org/koha-3-16-0-released/

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 23 May 2014 11:32:21 +1200

koha (3.14.06) squeeze; urgency=medium

  * New upstream release (3.14.06) 

 -- Robin Sheat <robin@catalyst.net.nz>  Thu, 01 May 2014 17:19:40 +1200

koha (3.14.05) squeeze; urgency=medium

  * New upstream release (3.14.05)

 -- Robin Sheat <robin@catalyst.net.nz>  Mon, 31 Mar 2014 11:55:56 +1300

koha (3.14.04) squeeze; urgency=medium

  * New upstream release (3.14.04) 

 -- Robin Sheat <robin@catalyst.net.nz>  Thu, 27 Feb 2014 15:42:15 +1300

koha (3.14.03) squeeze; urgency=high

  * New upstream release (3.14.03)
  * This contains urgent security patches, for more information see
    http://www.koha-community.org or the Koha mailing list.

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 07 Feb 2014 13:27:28 +1300

koha (3.14.02-1) squeeze; urgency=low

  * New upstream release (3.14.02)

 -- Robin Sheat <robin@catalyst.net.nz>  Mon, 27 Jan 2014 14:11:22 +1300

koha (3.14.01.1-1) squeeze; urgency=low

  * Re-release to account for a packaging error 

 -- Robin Sheat <robin@catalyst.net.nz>  Tue, 14 Jan 2014 13:49:55 +1300

koha (3.14.01-1) squeeze; urgency=low

  * New upstream release (3.14.01)

 -- Robin Sheat <robin@catalyst.net.nz>  Mon, 30 Dec 2013 15:01:44 +1300

koha (3.14.00-1) squeeze; urgency=low

  * New major upstream release (3.14.00)
  * Release notes are at http://koha-community.org/koha-3-14-0-released/

 -- Robin Sheat <robin@catalyst.net.nz>  Fri, 22 Nov 2013 11:40:21 +1300

koha (3.12.06-1) squeeze; urgency=low

  * New upstream release (3.12.06) 

 -- Robin Sheat <robin@catalyst.net.nz>  Tue, 29 Oct 2013 16:00:55 +1300

koha (3.12.05-1) squeeze; urgency=low

  * New upstream release (3.12.05) 

 -- Robin Sheat <robin@catalyst.net.nz>  Tue, 24 Sep 2013 15:24:19 +1200

koha (3.12.04-1) squeeze; urgency=low

  * New upstream release (3.12.04) 

 -- Robin Sheat <robin@catalyst.net.nz>  Mon, 02 Sep 2013 16:09:43 +1200

koha (3.12.03.1-1) squeeze; urgency=low

  * 3.12.03 with corrected release notes.
  * Specific reference for security update available at:
    http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=10657

 -- Robin Sheat <robin@catalyst.net.nz>  Tue, 30 Jul 2013 08:49:35 +1200

koha (3.12.03-1) squeeze; urgency=high

  * New upstream release (3.12.03)
  * This contains an urgent security patch, for more information see
    http://www.koha-community.org or the Koha mailing list.

 -- Robin Sheat <robin@catalyst.net.nz>  Tue, 30 Jul 2013 01:18:42 +1200

koha (3.12.02-1) squeeze; urgency=low

  * New upstream release (3.12.02)

 -- Robin Sheat <robin@catalyst.net.nz>  Wed, 24 Jul 2013 23:05:10 +1200

koha (3.12.01-1) squeeze; urgency=low

  * New upstream release (3.12.01) 

 -- Robin Sheat <robin@catalyst.net.nz>  Mon, 24 Jun 2013 14:25:54 +1200



=== misc/translator/po/debian/changelog ===
koha-l10n (24.11.00-1) 24.11; urgency=low

  * New upstream release (24.11.00)

 -- Mason James <mtj@kohaaloha.com>  Thu, 09 Nov 2023 16:59:26 +1300

=== debian/control ===
Source: koha
Maintainer: Mason James <mtj@kohaaloha.com>
Section: web
Priority: optional
Standards-Version: 3.8.4
# WARNING: The "control" file is automatically generated from the "control.in" file.
# Do not manually edit "control" or your changes will be clobbered when you
# run update-control
# NOTA BENE: Build dependencies end up as runtime dependencies as well.
# See debian/rules, the override_dh_gencontrol rules. 
# There are some exceptions.
Build-Depends: libalgorithm-checkdigits-perl,
 libalgorithm-munkres-perl,
 libanyevent-http-perl,
 libanyevent-perl,
 libarchive-extract-perl,
 libarchive-zip-perl,
 libarray-utils-perl,
 libauthen-cas-client-perl,
 libauth-googleauth-perl,
 libbiblio-endnotestyle-perl,
 libbusiness-isbn-perl,
 libbusiness-issn-perl,
 libbytes-random-secure-perl,
 libcache-memcached-fast-safe-perl,
 libcache-memcached-perl,
 libcgi-compile-perl (>= 0.25) | libcgi-compile-perl (<< 0.24),
 libcgi-emulate-psgi-perl,
 libcgi-pm-perl,
 libcgi-session-driver-memcached-perl,
 libcgi-session-perl,
 libclass-accessor-perl,
 libclass-factory-util-perl,
 libclass-inspector-perl,
 libclone-perl,
 libcpan-meta-perl (>= 2.150010) | perl-modules-5.28 | perl-modules-5.30 | perl-modules (>= 5.20.2),
 libcrypt-cbc-perl,
 libcrypt-eksblowfish-perl,
 libcrypt-openssl-bignum-perl,
 libcrypt-openssl-rsa-perl,
 libdata-ical-perl,
 libdate-calc-perl,
 libdate-manip-perl,
 libdatetime-event-ical-perl,
 libdatetime-format-ical-perl,
 libdatetime-format-mysql-perl,
 libdatetime-perl,
 libdatetime-timezone-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libdbix-class-schema-loader-perl,
 libdbix-runsql-perl,
 libdevel-cover-perl,
 libdigest-sha-perl,
 libemail-address-perl,
 libemail-date-perl,
 libemail-messageid-perl,
 libemail-sender-perl,
 libemail-stuffer-perl,
 libexception-class-perl,
 libfile-slurp-perl,
 libfont-ttf-perl,
 libgd-barcode-perl,
 libgd-perl,
 libgraphics-magick-perl,
 libgravatar-url-perl,
 libhtml-format-perl,
 libhtml-fromansi-tiny-perl,
 libhtml-parser-perl,
 libhtml-scrubber-perl,
 libhttp-cookies-perl,
 libhttp-message-perl,
 libhttp-oai-perl (>= 3.2) | libhttp-oai-3.27-perl, libhttp-oai-perl (<< 4.0) | libhttp-oai-3.27-perl,
 libhttp-tiny-perl,
 libintl-perl,
 libjson-perl,
 libjson-validator-perl,
 liblibrary-callnumber-lc-perl,
 liblingua-ispell-perl,
 liblingua-stem-perl,
 liblingua-stem-snowball-perl,
 liblist-moreutils-perl,
 liblocale-currency-format-perl,
 liblocale-po-perl,
 liblog-log4perl-perl,
 liblwp-protocol-https-perl | libwww-perl (<<6.02), libio-socket-ssl-perl,
 libmarc-charset-perl,
 libmarc-file-mij-perl,
 libmarc-record-perl,
 libmarc-xml-perl,
 libmodern-perl-perl,
 libmodule-bundled-files-perl,
 libmodule-cpanfile-perl,
 libmodule-load-conditional-perl,
 libmodule-pluggable-perl,
 libmojo-jwt-perl,
 libmojolicious-perl,
 libmojolicious-plugin-oauth2-perl,
 libmojolicious-plugin-openapi-perl,
 libmojolicious-plugin-renderfile-perl,
 libmoo-perl,
 libnet-cidr-perl,
 libnet-ldap-perl,
 libnet-netmask-perl,
 libnet-oauth2-authorizationserver-perl,
 libnet-server-perl,
 libnet-sftp-foreign-perl,
 libnet-stomp-perl,
 libnet-z3950-simpleserver-perl,
 libnet-z3950-zoom-perl,
 libnumber-format-perl,
 libopenoffice-oodoc-perl,
 libparallel-forkmanager-perl,
 libpdf-api2-perl,
 libpdf-fromhtml-perl,
 libpdf-reuse-barcode-perl,
 libpdf-reuse-perl,
 libpdf-table-perl,
 libplack-middleware-logwarn-perl,
 libplack-middleware-reverseproxy-perl,
 libreadonly-perl,
 libscalar-list-utils-perl,
 libschedule-at-perl,
 libsearch-elasticsearch-perl,
 libselenium-remote-driver-perl,
 libsereal-decoder-perl,
 libsereal-encoder-perl,
 libsms-send-perl,
 libsql-translator-perl,
 libstring-random-perl,
 libstruct-diff-perl,
 libsys-cpu-perl,
 libtemplate-perl,
 libtemplate-plugin-gettext-perl,
 libtemplate-plugin-htmltotext-perl,
 libtemplate-plugin-json-escape-perl,
 libtemplate-plugin-stash-perl,
 libtest-deep-perl,
 libtest-exception-perl,
 libtest-harness-perl,
 libtest-mockmodule-perl,
 libtest-mockobject-perl,
 libtest-mocktime-perl,
 libtest-simple-perl,
 libtest-strict-perl,
 libtest-warn-perl,
 libtest-www-mechanize-perl,
 libtest-yaml-valid-perl,
 libtext-bidi-perl,
 libtext-csv-encoded-perl,
 libtext-csv-perl,
 libtext-csv-xs-perl,
 libtext-iconv-perl,
 libtext-pdf-perl,
 libtext-unidecode-perl,
 libtime-fake-perl,
 libtry-tiny-perl,
 libuniversal-can-perl,
 libuniversal-require-perl,
 liburi-perl,
 libuuid-perl,
 libwebservice-ils-perl,
 libwww-csrf-perl,
 libwww-perl,
 libxml-dumper-perl,
 libxml-libxml-perl,
 libxml-libxslt-perl,
 libxml-rss-perl,
 libxml-sax-perl,
 libxml-sax-writer-perl,
 libxml-simple-perl,
 libxml-writer-perl,
 libyaml-libyaml-perl,
 starman,
 debhelper (>= 7.0.50), gettext, xsltproc, docbook-xsl, docbook-xsl-ns, fonts-dejavu | ttf-dejavu,
 libxml2-utils, bash-completion, perl-modules-5.26 | libtest-simple-perl (>= 1.302073)

Package: koha-common
Architecture: all
Depends: ${misc:Depends}, ${koha:Depends},
 apache2,
 apache2-mpm-itk | libapache2-mpm-itk,
 at,
 cron-daemon,
 daemon,
 debconf,
 idzebra-2.0,
 koha-l10n,
 memcached,
 mysql-client | virtual-mysql-client,
 perl-doc,
 pwgen,
 rabbitmq-server,
 sudo,
 fonts-dejavu | ttf-dejavu,
 unzip,
 weasyprint,
 xmlstarlet,
 yaz
Suggests: mysql-server | virtual-mysql-server,
 letsencrypt,
Homepage: http://koha-community.org/
Description: integrated (physical) library management system
 Koha is an Integrated Library Management system for real-world libraries
 (the kinds with books).
 .
 This package contains everything needed to run Koha, except the site
 specific configuration files. See the package koha for the rest.

Package: koha
Architecture: all
Depends: ${shlib:Depends}, ${misc:Depends},
 koha-common,
 dbconfig-common,
 mysql-server | virtual-mysql-server
Homepage: http://koha-community.org/
Description: integrated (physical) library management system
 Koha is an Integrated Library Management system for real-world libraries
 (the kinds with books).
 .
 This package contains site-specific configuration files and sets up
 the MySQL database for Koha. For simplicity, the database server is
 assumed to run on the same host as Koha.
 .
 Please see https://wiki.koha-community.org/wiki/Installation_Documentation
 for instructions on how to configure things after installing this package.

Package: koha-deps
Depends: ${misc:Depends},
 apache2,
 apache2-mpm-itk | libapache2-mpm-itk,
 at,
 cron-daemon,
 daemon,
 debconf,
 idzebra-2.0,
 mysql-client | virtual-mysql-client,
 mysql-server | virtual-mysql-server,
 perl-doc,
 pwgen,
 rabbitmq-server,
 sudo,
 fonts-dejavu | ttf-dejavu,
 unzip,
 weasyprint,
 xmlstarlet,
 yaz
Architecture: all
Description: Other dep. for koha
 Koha is an Integrated Library Management system for real-world libraries
 (the kinds with books).
 .
 This meta-package contains general dependencies packages for koha (apache2,
 daemon, debconf, etc.).

Package: koha-perldeps
Depends: libalgorithm-checkdigits-perl,
 libalgorithm-munkres-perl,
 libanyevent-http-perl,
 libanyevent-perl,
 libarchive-extract-perl,
 libarchive-zip-perl,
 libarray-utils-perl,
 libauthen-cas-client-perl,
 libauth-googleauth-perl,
 libbiblio-endnotestyle-perl,
 libbusiness-isbn-perl,
 libbusiness-issn-perl,
 libbytes-random-secure-perl,
 libcache-memcached-fast-safe-perl,
 libcache-memcached-perl,
 libcgi-compile-perl (>= 0.25) | libcgi-compile-perl (<< 0.24),
 libcgi-emulate-psgi-perl,
 libcgi-pm-perl,
 libcgi-session-driver-memcached-perl,
 libcgi-session-perl,
 libclass-accessor-perl,
 libclass-factory-util-perl,
 libclass-inspector-perl,
 libclone-perl,
 libcpan-meta-perl (>= 2.150010) | perl-modules-5.28 | perl-modules-5.30 | perl-modules (>= 5.20.2),
 libcrypt-cbc-perl,
 libcrypt-eksblowfish-perl,
 libcrypt-openssl-bignum-perl,
 libcrypt-openssl-rsa-perl,
 libdata-ical-perl,
 libdate-calc-perl,
 libdate-manip-perl,
 libdatetime-event-ical-perl,
 libdatetime-format-ical-perl,
 libdatetime-format-mysql-perl,
 libdatetime-perl,
 libdatetime-timezone-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libdbix-class-schema-loader-perl,
 libdbix-runsql-perl,
 libdevel-cover-perl,
 libdigest-sha-perl,
 libemail-address-perl,
 libemail-date-perl,
 libemail-messageid-perl,
 libemail-sender-perl,
 libemail-stuffer-perl,
 libexception-class-perl,
 libfile-slurp-perl,
 libfont-ttf-perl,
 libgd-barcode-perl,
 libgd-perl,
 libgraphics-magick-perl,
 libgravatar-url-perl,
 libhtml-format-perl,
 libhtml-fromansi-tiny-perl,
 libhtml-parser-perl,
 libhtml-scrubber-perl,
 libhttp-cookies-perl,
 libhttp-message-perl,
 libhttp-oai-perl (>= 3.2) | libhttp-oai-3.27-perl, libhttp-oai-perl (<< 4.0) | libhttp-oai-3.27-perl,
 libhttp-tiny-perl,
 libintl-perl,
 libjson-perl,
 libjson-validator-perl,
 liblibrary-callnumber-lc-perl,
 liblingua-ispell-perl,
 liblingua-stem-perl,
 liblingua-stem-snowball-perl,
 liblist-moreutils-perl,
 liblocale-currency-format-perl,
 liblocale-po-perl,
 liblog-log4perl-perl,
 liblwp-protocol-https-perl | libwww-perl (<<6.02), libio-socket-ssl-perl,
 libmarc-charset-perl,
 libmarc-file-mij-perl,
 libmarc-record-perl,
 libmarc-xml-perl,
 libmodern-perl-perl,
 libmodule-bundled-files-perl,
 libmodule-cpanfile-perl,
 libmodule-load-conditional-perl,
 libmodule-pluggable-perl,
 libmojo-jwt-perl,
 libmojolicious-perl,
 libmojolicious-plugin-oauth2-perl,
 libmojolicious-plugin-openapi-perl,
 libmojolicious-plugin-renderfile-perl,
 libmoo-perl,
 libnet-cidr-perl,
 libnet-ldap-perl,
 libnet-netmask-perl,
 libnet-oauth2-authorizationserver-perl,
 libnet-server-perl,
 libnet-sftp-foreign-perl,
 libnet-stomp-perl,
 libnet-z3950-simpleserver-perl,
 libnet-z3950-zoom-perl,
 libnumber-format-perl,
 libopenoffice-oodoc-perl,
 libparallel-forkmanager-perl,
 libpdf-api2-perl,
 libpdf-fromhtml-perl,
 libpdf-reuse-barcode-perl,
 libpdf-reuse-perl,
 libpdf-table-perl,
 libplack-middleware-logwarn-perl,
 libplack-middleware-reverseproxy-perl,
 libreadonly-perl,
 libscalar-list-utils-perl,
 libschedule-at-perl,
 libsearch-elasticsearch-perl,
 libselenium-remote-driver-perl,
 libsereal-decoder-perl,
 libsereal-encoder-perl,
 libsms-send-perl,
 libsql-translator-perl,
 libstring-random-perl,
 libstruct-diff-perl,
 libsys-cpu-perl,
 libtemplate-perl,
 libtemplate-plugin-gettext-perl,
 libtemplate-plugin-htmltotext-perl,
 libtemplate-plugin-json-escape-perl,
 libtemplate-plugin-stash-perl,
 libtest-deep-perl,
 libtest-exception-perl,
 libtest-harness-perl,
 libtest-mockmodule-perl,
 libtest-mockobject-perl,
 libtest-mocktime-perl,
 libtest-simple-perl,
 libtest-strict-perl,
 libtest-warn-perl,
 libtest-www-mechanize-perl,
 libtest-yaml-valid-perl,
 libtext-bidi-perl,
 libtext-csv-encoded-perl,
 libtext-csv-perl,
 libtext-csv-xs-perl,
 libtext-iconv-perl,
 libtext-pdf-perl,
 libtext-unidecode-perl,
 libtime-fake-perl,
 libtry-tiny-perl,
 libuniversal-can-perl,
 libuniversal-require-perl,
 liburi-perl,
 libuuid-perl,
 libwebservice-ils-perl,
 libwww-csrf-perl,
 libwww-perl,
 libxml-dumper-perl,
 libxml-libxml-perl,
 libxml-libxslt-perl,
 libxml-rss-perl,
 libxml-sax-perl,
 libxml-sax-writer-perl,
 libxml-simple-perl,
 libxml-writer-perl,
 libyaml-libyaml-perl,
 starman
Architecture: all
Description: Perl dep. for koha
 Koha is an Integrated Library Management system for real-world libraries
 (the kinds with books).
 .
 This meta-package contains perl dependencies packages for koha (all
 perl lib).

Package: koha-core
Architecture: all
Description: integrated (physical) library management system
 Koha is an Integrated Library Management system for real-world libraries
 (the kinds with books).
 .
 This package provides a version of Koha identical to that of koha-full,
 but without third-party systems such as MariaDB, RabbitMQ, et cetera.
 .
 This package is EXPERIMENTAL and not recommended for production use.
Depends: ${misc:Depends}, ${koha:Depends},
 at,
 cron-daemon,
 daemon,
 debconf,
 koha-l10n,
 mysql-client | virtual-mysql-client,
 perl-doc,
 pwgen,
 starman,
 sudo,

=== misc/translator/po/debian/control ===
Source: koha-l10n
Priority: optional
Maintainer: Mason James <mtj@kohaaloha.com>
Section: web
Standards-Version: 3.8.4
Build-Depends:
 debhelper

Package: koha-l10n
Architecture: all
Description: contains language files for koha

=== debian/rules ===
#!/usr/bin/make -f

TMP = $(CURDIR)/debian/tmp

# Make "perl Makefile.PL" be non-interactive.
export PERL_MM_USE_DEFAULT=1

%:
	dh $@ --fail-missing --with bash-completion

override_dh_gencontrol:
	debian/bd-to-depends >> debian/koha-common.substvars
	debian/bd-to-depends >> debian/koha-core.substvars
	dh_gencontrol

override_dh_auto_install:
	dh_auto_install
	rm $(TMP)/etc/koha/README.txt
	rm $(TMP)/etc/koha/SIPconfig.xml
	rm $(TMP)/etc/koha/log4perl.conf
	rm $(TMP)/etc/koha/apache.conf
	rm $(TMP)/etc/koha/nginx.conf
	rm $(TMP)/etc/koha/koha-worker.service
	rm -r $(TMP)/usr/share/koha/doc
	rm -r $(TMP)/var/run
	rm -r $(TMP)/var/lock
	rm $(TMP)/var/log/koha/README
	install -d $(TMP)/etc/apache2/sites-available
	install -d $(TMP)/etc/apache2/sites-enabled
	install -d $(TMP)/etc/apache2/conf.d
	ln -s ../../koha/koha-httpd.conf $(TMP)/etc/apache2/sites-available/koha
	ln -s ../sites-available/koha $(TMP)/etc/apache2/sites-enabled/koha
	install -m 0644 debian/koha.apache-ports $(TMP)/etc/apache2/conf.d/koha
	sed -i '/^<VirtualHost 127.0.1.1:/s//<VirtualHost *:/' \
		$(TMP)/etc/koha/koha-httpd.conf
	mv $(TMP)/etc/koha/koha-conf.xml $(TMP)/usr/share/koha/koha-conf.xml.in
	sed -i $(TMP)/usr/share/koha/koha-conf.xml.in \
		-e '/^ <user>/s/>.*</>_DBC_DBUSER_</' \
		-e '/^ <pass>/s/>.*</>_DBC_DBPASS_</'
	mkdir -p $(TMP)/debian/tmp_docbook
	xt/verify-debian-docbook.t
	xsltproc --output $(TMP)/debian/tmp_docbook/ \
	    /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl \
	    debian/docs/*.xml

override_dh_compress:
	# exclude history.txt from compression as about.pl needs it uncompressed
	dh_compress --exclude=history.txt --exclude=contributors.yaml --exclude=teams.yaml

override_dh_installchangelogs:
	# Debian Buster onwards renames history.txt to changelog which breaks Koha's timeline feature
	dh_installchangelogs --exclude=history.txt
